id: wordpress-meta-box

info:
  name: Meta Box Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/meta-box/
  metadata:
    plugin_namespace: meta-box
    wpscan: https://wpscan.com/plugin/meta-box
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/meta-box/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/meta-box.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100bf2d646403b53878257cd4f69d876d6131085034ba99bde4ea494eeea4a5a4b602210093915af464def7e58f5c224eb603ecdea0c3ffedf8556e23215a94b4fb3dfd76:922c64590222798bb761d5b6d8e72950